﻿@model SendMailToPlayerViewModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Email Content</h3>
</div>
<script type="text/javascript">

    function onSuccess(e) {
        switch (e.operation) {
            case "remove":
                var fileNames = $("#FileNames").val();
                fileNames = fileNames.replace("*" + e.response + "*", "*");
                fileNames = fileNames.replace("*" + e.response, "");
                fileNames = fileNames.replace(e.response + "*", "");
                fileNames = fileNames.replace(e.response, "");
                $("#FileNames").val(fileNames);
                break;
            case "upload":
                var fileNames = $("#FileNames");
                if (fileNames.val() == "") {
                    fileNames.val(fileNames.val() + e.response)
                }
                else {
                    fileNames.val(fileNames.val() + "*" + e.response)
                }
                break;
        }

    }
    function onError(e) {
        switch (e.operation) {
            case "remove":
                alert("The file was not deleted");
                break;
            case "upload":
                alert("You upload ilegal file! Please upload a valid file.");
                break;
        }
    }

    function onUpload(e) {
        var files = e.files;
        var LegalAttachmentType = new Array();
        LegalAttachmentType = @Html.Raw(Json.Encode(Model.LegalAttachmentType))
        $.each(files, function () {
            var extension = this.extension.toLowerCase();
            var isValidType = false;
            for (var i = 0; i < LegalAttachmentType.length; i++) {
                if (extension == LegalAttachmentType[i]) {
                    isValidType = true;
                    break;
                }
            }

            if (!isValidType) {
                alert("You upload ilegal file! Please upload a valid file.")
                e.preventDefault();
            }
        });
    }
</script>

@using (Ajax.BeginForm("SendMailRecipient", "Communication", null, new AjaxOptions { HttpMethod = "post", OnSuccess = "onSuccessPreView" }
    , new { @class = "form-items pull-left", @id = "sendMailPreView" }))
{
    <div class="modal-body">
        @Html.ValidationSummary(false)
        <div class="form-item pull-left">
            <div class="steps">
                <div class="progress">
                    <div class="bar"></div>
                </div>
                <ul>
                    <li class="active">
                        <span class="img-circle num-step">1</span>
                        <span class="text-step hidden-phone">Content</span>
                    </li>
                    <li>
                        <span class="img-circle num-step">2</span>
                        <span class="text-step hidden-phone">Recipients</span>
                    </li>
                    <li>
                        <span class="img-circle num-step">3</span>
                        <span class="text-step hidden-phone">Delivery</span>
                    </li>
                </ul>
            </div>
            <div class="form-group">
                <div class="form-group pull-left email-to">
                    @Html.HiddenFor(m => m.ClubDomain)
                    @Html.HiddenFor(m => m.Domain)
                    @Html.HiddenFor(m => m.Name)
                    @Html.HiddenFor(m => m.EventType)
                    @Html.HiddenFor(m => m.CategoryId)
                    @Html.HiddenFor(m => m.Mode)
                    @Html.HiddenFor(m => m.From)
                    @Html.Label("Enter the subject and body  for this Email")

                </div>
                <div class="form-group pull-left subject">
                    @Html.LabelFor(m => m.Subject)
                    @Html.TextBoxFor(m => m.Subject, new { @class = "input-block-level" })
                    @Html.ValidationMessageFor(m => m.Subject)

                </div>
                <div class="form-group pull-left content">
                    @Html.LabelFor(m => m.Body)
                    @(Html.Kendo().EditorFor(m => m.Body)
                          .Name("Body")

                          .Encode(false)
                          .Tools(tools => tools
                                              .Clear()                    //remove all tools
                                              .Bold().Italic().Underline()
                                              .JustifyLeft().JustifyCenter().JustifyRight().JustifyFull()
                                              .Indent().Outdent()
                          )
                          )
                    @Html.ValidationMessageFor(m => m.Body)
                </div>

            </div>

        </div>
        <div class="mail-attachements">
            @(Html.Kendo().Upload()
        .Messages(m => m.Select("Attach File"))
         .Name("file")
         .Multiple(true)
         .ShowFileList(true)
                      .Async(async => async
                    .Save("SaveAttachment", "Communication")
                    .Remove("RemoveAttachment", "Communication")
                    .AutoUpload(true))
                    .Events(events => events
                        .Success("onSuccess")
                        .Error("onError")
                        .Upload("onUpload")
                        )
                    .HtmlAttributes(new
                        {
                            accept = "application/pdf,image/gif,image/png, image/jpeg,image/jpg, image/jpg,application/msword," +
                                    "application/vnd.openxmlformats-officedocument.wordprocessingml.document," +
                                    "application/zip,application/x-rar-compressed," +
                                    "application/vnd.openxmlformats-officedocument.presentationml.presentation," +
                                    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"


                        })
            )
            @Html.HiddenFor(m => m.FileNames)
        </div>
    </div>
    <div class="modal-footer text-right">
        <button class="btn btn-info loading" data-loading-text="Loading..." type="submit">Next</button>
    </div>
}

<script type="text/javascript" src="~/Scripts/jquery.validate.min.js"></script>
<script type="text/javascript" src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script type="text/javascript">
    $(".loading").click(function () {
        $(this).button("loading");
    });

    // $("#sendMailPreView").kendoValidator();

    $("#sendMailPreView").bind("invalid-form.validate", function () {
        $(this).find(".loading").button('reset');
    });
    // $.validator.setDefaults({ ignore: [] });
    // $("#sendMailPreView").data("validator").settings.ignore = ":hidden:not(.kendo-editor textarea)";

    function getFileInfo(e) {
        return $.map(e.files, function (file) {
            var info = file.name;

            // File size is not available in all browsers
            if (file.size > 0) {
                info += " (" + Math.ceil(file.size / 1024) + " KB)";
            }
            return info;
        }).join(", ");
    }

    $("#sendMailPreView").submit(function (e) {
        if ($("#Body").val().trim() == "") {
            e.preventDefault()
            $('span[data-valmsg-for="Body"]').html('<span for="Body" generated="true">The Body field is required.</span>').addClass("field-validation-error");
            $('div[class="validation-summary-errors"] ul').append("<li>The Body field is required.</li>")

        }
    })
</script>


